#!/bin/bash

###
# Update apeman-dev-commons-tasking.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall ape-tasking apeman-commons-logging argx async  --save
npm install ape-tasking apeman-commons-logging argx async  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official coz injectmock  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official coz injectmock  --save-dev
